
pour démmarer l'application tapez la cmd :
mvn spring-boot:run

Requetes CURL de test


Pour créer un utilisateur
curl -L -X POST 'localhost:8080/api/auth/new' \
-H 'Content-Type: application/json' \
-d '{

    "username" : "zak",
    "email" : "zak@gmail.com",
    "password" : "Zak1234",
    "lastName" : "AIT",
    "firstName" : "zak"
}'



Pour s'authentifier
curl -L -X POST 'localhost:8080/api/auth/login' \
-H 'Content-Type: application/json' \
-d '{
    "username": "zak",
    "password": "Zak1234"
}'


